Skip to navigation

Create the worker signature for an EOR hire employment agreement

Beta

Sign the employment agreement of an EOR hire as its worker, then read the hire intent again. Use it when the intent names sign_employment_agreement as the next action. Send the worker token (PAT:WORKER) in Authorization. Send an Idempotency-Key to retry safely. The response is the hire intent after the signature.

Token scopes: worker:write

Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-02-06.

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired

Public id of the EOR contract (the client contract returned by POST /rest/eor)

Headers

X-BetaenumRequiredDefaults to true

Opts in to the beta version of this endpoint. Must be true.

Allowed values:

Request

This endpoint expects an object.
dataobjectRequired

Response

The EOR hire intent after the signature
dataobject
The EOR hire intent, in the Deel Intent Standard envelope

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error
502
Bad Gateway Error